Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Class OverrideIndicatorLabelDecorator

    java.lang.Object
      org.eclipse.jdt.ui.OverrideIndicatorLabelDecorator

All Implemented Interfaces:
  IBaseLabelProvider, ILabelDecorator, ILightweightLabelDecorator

public class OverrideIndicatorLabelDecorator
extends Object
implements ILabelDecorator, ILightweightLabelDecorator

LabelDecorator that decorates an method's image with override or implements overlays. The viewer using this decorator is responsible for updating the images on element changes.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`OverrideIndicatorLabelDecorator()` Creates a decorator.
`OverrideIndicatorLabelDecorator(org.eclipse.jdt.internal.ui.viewsupport.ImageDescriptorRegistry registry)` Note: This constructor is for internal use only.

Method Summary
`void` | `addListener(ILabelProviderListener listener)`
`int` | `computeAdornmentFlags(Object element)` Note: This method is for internal use only.
`void` | `decorate(Object element, IDecoration decoration)`
`Image` | `decorateImage(Image image, Object element)`
`String` | `decorateText(String text, Object element)`
`void` | `dispose()`
`protected int` | `findInHierarchy(IType type, ITypeHierarchy hierarchy, String name, String[] paramTypes)` Note: This method is for internal use only.
`protected int` | `getOverrideIndicators(IMethod method)` Note: This method is for internal use only.
`boolean` | `isLabelProperty(Object element, String property)`
`void` | `removeListener(ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverrideIndicatorLabelDecorator

    public OverrideIndicatorLabelDecorator()

  Creates a decorator. The decorator creates an own image registry to cache images.

### OverrideIndicatorLabelDecorator

    public OverrideIndicatorLabelDecorator(org.eclipse.jdt.internal.ui.viewsupport.ImageDescriptorRegistry registry)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `registry` - The registry to use.

Method Detail

### decorateText

    public String decorateText(String text,
                               Object element)

  Specified by:
    `decorateText` in interface `ILabelDecorator`

### decorateImage

    public Image decorateImage(Image image,
                               Object element)

  Specified by:
    `decorateImage` in interface `ILabelDecorator`

### computeAdornmentFlags

    public int computeAdornmentFlags(Object element)

  Note: This method is for internal use only. Clients should not call this method.

  Parameters:
    `element` - The element to decorate
  Returns:
    Resulting decorations (combination of JavaElementImageDescriptor.IMPLEMENTS and JavaElementImageDescriptor.OVERRIDES)

### getOverrideIndicators

    protected int getOverrideIndicators(IMethod method)
                                 throws JavaModelException

  Note: This method is for internal use only. Clients should not call this method.

  Parameters:
    `method` - The element to decorate
  Returns:
    Resulting decorations (combination of JavaElementImageDescriptor.IMPLEMENTS and JavaElementImageDescriptor.OVERRIDES)
  Throws:
    `JavaModelException`

### findInHierarchy

    protected int findInHierarchy(IType type,
                                  ITypeHierarchy hierarchy,
                                  String name,
                                  String[] paramTypes)
                           throws JavaModelException

  Note: This method is for internal use only. Clients should not call this method.

  Parameters:
    `type` - The declaring type of the method to decorate.
    `hierarchy` - The type hierarchy of the declaring type.
    `name` - The name of the method to find.
    `paramTypes` - The parameter types of the method to find.
  Returns:
    The resulting decoration.
  Throws:
    `JavaModelException`

### addListener

    public void addListener(ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

  Specified by:
    `isLabelProperty` in interface `IBaseLabelProvider`

### removeListener

    public void removeListener(ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `IBaseLabelProvider`

### decorate

    public void decorate(Object element,
                         IDecoration decoration)

  Specified by:
    `decorate` in interface `ILightweightLabelDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.